salesforce.cdp.hyperdb.v1

## Class QueryParam

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - salesforce.cdp.hyperdb.v1.QueryParam

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, QueryParamOrBuilder

    public final class QueryParam
    extends com.google.protobuf.GeneratedMessageV3
    implements QueryParamOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryParam`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `QueryParam.Builder` Protobuf type `salesforce.hyperdb.grpc.v1.QueryParam`
`static class` `QueryParam.ParametersCase`
`static class` `QueryParam.ParameterStyle` Protobuf enum `salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle`
`static class` `QueryParam.TransferMode` Protobuf enum `salesforce.hyperdb.grpc.v1.QueryParam.TransferMode`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `ARROW_PARAMETERS_FIELD_NUMBER`
`static int` `DATABASES_FIELD_NUMBER`
`static int` `JSON_PARAMETERS_FIELD_NUMBER`
`static int` `OUTPUT_FORMAT_FIELD_NUMBER`
`static int` `PARAM_STYLE_FIELD_NUMBER`
`static int` `QUERY_FIELD_NUMBER`
`static int` `RESULT_RANGE_FIELD_NUMBER`
`static int` `SETTINGS_FIELD_NUMBER`
`static int` `TRANSFER_MODE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsSettings(String key)` `map<string, string> settings = 4;`
`boolean` `equals(Object obj)`
`QueryParameterArrow` `getArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParameterArrowOrBuilder` `getArrowParametersOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`AttachedDatabase` `getDatabases(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`int` `getDatabasesCount()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`List<AttachedDatabase>` `getDatabasesList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`AttachedDatabaseOrBuilder` `getDatabasesOrBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`List<? extends AttachedDatabaseOrBuilder>` `getDatabasesOrBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`static QueryParam` `getDefaultInstance()`
`QueryParam` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`QueryParameterJson` `getJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParameterJsonOrBuilder` `getJsonParametersOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`OutputFormat` `getOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`int` `getOutputFormatValue()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`QueryParam.ParametersCase` `getParametersCase()`
`QueryParam.ParameterStyle` `getParamStyle()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`int` `getParamStyleValue()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`com.google.protobuf.Parser<QueryParam>` `getParserForType()`
`String` `getQuery()` `string query = 1;`
`com.google.protobuf.ByteString` `getQueryBytes()` `string query = 1;`
`ResultRange` `getResultRange()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`ResultRangeOrBuilder` `getResultRangeOrBuilder()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`int` `getSerializedSize()`
`Map<String,String>` `getSettings()` Deprecated.
`int` `getSettingsCount()` `map<string, string> settings = 4;`
`Map<String,String>` `getSettingsMap()` `map<string, string> settings = 4;`
`String` `getSettingsOrDefault(String key, String defaultValue)` `map<string, string> settings = 4;`
`String` `getSettingsOrThrow(String key)` `map<string, string> settings = 4;`
`QueryParam.TransferMode` `getTransferMode()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`int` `getTransferModeValue()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`boolean` `hasArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`int` `hashCode()`
`boolean` `hasJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`boolean` `hasResultRange()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor` `internalGetMapFieldReflection(int number)`
`boolean` `isInitialized()`
`static QueryParam.Builder` `newBuilder()`
`static QueryParam.Builder` `newBuilder(QueryParam prototype)`
`QueryParam.Builder` `newBuilderForType()`
`protected QueryParam.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static QueryParam` `parseDelimitedFrom(InputStream input)`
`static QueryParam` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryParam` `parseFrom(byte[] data)`
`static QueryParam` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryParam` `parseFrom(ByteBuffer data)`
`static QueryParam` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryParam` `parseFrom(com.google.protobuf.ByteString data)`
`static QueryParam` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryParam` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static QueryParam` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryParam` `parseFrom(InputStream input)`
`static QueryParam` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<QueryParam>` `parser()`
`QueryParam.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### QUERY_FIELD_NUMBER

    public static final int QUERY_FIELD_NUMBER

See Also:
  Constant Field Values

#### DATABASES_FIELD_NUMBER

    public static final int DATABASES_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUT_FORMAT_FIELD_NUMBER

    public static final int OUTPUT_FORMAT_FIELD_NUMBER

See Also:
  Constant Field Values

#### SETTINGS_FIELD_NUMBER

    public static final int SETTINGS_FIELD_NUMBER

See Also:
  Constant Field Values

#### TRANSFER_MODE_FIELD_NUMBER

    public static final int TRANSFER_MODE_FIELD_NUMBER

See Also:
  Constant Field Values

#### PARAM_STYLE_FIELD_NUMBER

    public static final int PARAM_STYLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### ARROW_PARAMETERS_FIELD_NUMBER

    public static final int ARROW_PARAMETERS_FIELD_NUMBER

See Also:
  Constant Field Values

#### JSON_PARAMETERS_FIELD_NUMBER

    public static final int JSON_PARAMETERS_FIELD_NUMBER

See Also:
  Constant Field Values

#### RESULT_RANGE_FIELD_NUMBER

    public static final int RESULT_RANGE_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getParametersCase

    public QueryParam.ParametersCase getParametersCase()

Specified by:
  `getParametersCase` in interface `QueryParamOrBuilder`

#### getQuery

    public String getQuery()

`string query = 1;`

Specified by:
  `getQuery` in interface `QueryParamOrBuilder`
Returns:
  The query.

#### getQueryBytes

    public com.google.protobuf.ByteString getQueryBytes()

`string query = 1;`

Specified by:
  `getQueryBytes` in interface `QueryParamOrBuilder`
Returns:
  The bytes for query.

#### getDatabasesList

    public List<AttachedDatabase> getDatabasesList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesList` in interface `QueryParamOrBuilder`

#### getDatabasesOrBuilderList

    public List<? extends AttachedDatabaseOrBuilder> getDatabasesOrBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesOrBuilderList` in interface `QueryParamOrBuilder`

#### getDatabasesCount

    public int getDatabasesCount()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesCount` in interface `QueryParamOrBuilder`

#### getDatabases

    public AttachedDatabase getDatabases(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabases` in interface `QueryParamOrBuilder`

#### getDatabasesOrBuilder

    public AttachedDatabaseOrBuilder getDatabasesOrBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesOrBuilder` in interface `QueryParamOrBuilder`

#### getOutputFormatValue

    public int getOutputFormatValue()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Specified by:
  `getOutputFormatValue` in interface `QueryParamOrBuilder`
Returns:
  The enum numeric value on the wire for outputFormat.

#### getOutputFormat

    public OutputFormat getOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Specified by:
  `getOutputFormat` in interface `QueryParamOrBuilder`
Returns:
  The outputFormat.

#### getSettingsCount

    public int getSettingsCount()

Description copied from interface: `QueryParamOrBuilder`
`map<string, string> settings = 4;`

Specified by:
  `getSettingsCount` in interface `QueryParamOrBuilder`

#### containsSettings

    public boolean containsSettings(String key)

`map<string, string> settings = 4;`

Specified by:
  `containsSettings` in interface `QueryParamOrBuilder`

#### getSettings

    @Deprecated
    public Map<String,String> getSettings()

Deprecated.
Use `getSettingsMap()` instead.

Specified by:
  `getSettings` in interface `QueryParamOrBuilder`

#### getSettingsMap

    public Map<String,String> getSettingsMap()

`map<string, string> settings = 4;`

Specified by:
  `getSettingsMap` in interface `QueryParamOrBuilder`

#### getSettingsOrDefault

    public String getSettingsOrDefault(String key,
                                       String defaultValue)

`map<string, string> settings = 4;`

Specified by:
  `getSettingsOrDefault` in interface `QueryParamOrBuilder`

#### getSettingsOrThrow

    public String getSettingsOrThrow(String key)

`map<string, string> settings = 4;`

Specified by:
  `getSettingsOrThrow` in interface `QueryParamOrBuilder`

#### getTransferModeValue

    public int getTransferModeValue()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Specified by:
  `getTransferModeValue` in interface `QueryParamOrBuilder`
Returns:
  The enum numeric value on the wire for transferMode.

#### getTransferMode

    public QueryParam.TransferMode getTransferMode()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Specified by:
  `getTransferMode` in interface `QueryParamOrBuilder`
Returns:
  The transferMode.

#### getParamStyleValue

    public int getParamStyleValue()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Specified by:
  `getParamStyleValue` in interface `QueryParamOrBuilder`
Returns:
  The enum numeric value on the wire for paramStyle.

#### getParamStyle

    public QueryParam.ParameterStyle getParamStyle()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Specified by:
  `getParamStyle` in interface `QueryParamOrBuilder`
Returns:
  The paramStyle.

#### hasArrowParameters

    public boolean hasArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Specified by:
  `hasArrowParameters` in interface `QueryParamOrBuilder`
Returns:
  Whether the arrowParameters field is set.

#### getArrowParameters

    public QueryParameterArrow getArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Specified by:
  `getArrowParameters` in interface `QueryParamOrBuilder`
Returns:
  The arrowParameters.

#### getArrowParametersOrBuilder

    public QueryParameterArrowOrBuilder getArrowParametersOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Specified by:
  `getArrowParametersOrBuilder` in interface `QueryParamOrBuilder`

#### hasJsonParameters

    public boolean hasJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Specified by:
  `hasJsonParameters` in interface `QueryParamOrBuilder`
Returns:
  Whether the jsonParameters field is set.

#### getJsonParameters

    public QueryParameterJson getJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Specified by:
  `getJsonParameters` in interface `QueryParamOrBuilder`
Returns:
  The jsonParameters.

#### getJsonParametersOrBuilder

    public QueryParameterJsonOrBuilder getJsonParametersOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Specified by:
  `getJsonParametersOrBuilder` in interface `QueryParamOrBuilder`

#### hasResultRange

    public boolean hasResultRange()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

Specified by:
  `hasResultRange` in interface `QueryParamOrBuilder`
Returns:
  Whether the resultRange field is set.

#### getResultRange

    public ResultRange getResultRange()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

Specified by:
  `getResultRange` in interface `QueryParamOrBuilder`
Returns:
  The resultRange.

#### getResultRangeOrBuilder

    public ResultRangeOrBuilder getResultRangeOrBuilder()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

Specified by:
  `getResultRangeOrBuilder` in interface `QueryParamOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static QueryParam parseFrom(ByteBuffer data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryParam parseFrom(ByteBuffer data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryParam parseFrom(com.google.protobuf.ByteString data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryParam parseFrom(com.google.protobuf.ByteString data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryParam parseFrom(byte[] data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryParam parseFrom(byte[] data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryParam parseFrom(InputStream input)
                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryParam parseFrom(InputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static QueryParam parseDelimitedFrom(InputStream input)
                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static QueryParam parseDelimitedFrom(InputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryParam parseFrom(com.google.protobuf.CodedInputStream input)
                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryParam parseFrom(com.google.protobuf.CodedInputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public QueryParam.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static QueryParam.Builder newBuilder()

#### newBuilder

    public static QueryParam.Builder newBuilder(QueryParam prototype)

#### toBuilder

    public QueryParam.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected QueryParam.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static QueryParam getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<QueryParam> parser()

#### getParserForType

    public com.google.protobuf.Parser<QueryParam> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public QueryParam getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`